﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            font-family: Arial;
            font-size: 10pt;
        }
        table
        {
            border: 1px solid #ccc;
            border-collapse: collapse;
        }
        table th
        {
            background-color: #F7F7F7;
            color: #333;
            font-weight: bold;
        }
        table th, table td
        {
            padding: 5px;
            border: 1px solid #ccc;
        }
        .error
        {
            color: Red;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <table id="tblForm" border="0" cellpadding="0" cellspacing="0">
        <tr>
            <th colspan="3">Details Form</th>
        </tr>
        <tr>
            <td>First Name:</td>
            <td><asp:TextBox ID="txtFirstName" runat="server" CssClass = "required"></asp:TextBox></td>
            <td><span class="error" style="display: none">First Name is required.</span></td>
        </tr>
        <tr>
            <td>Last Name:</td>
            <td><asp:TextBox ID="txtLastName" runat="server" CssClass = "required"></asp:TextBox></td>
            <td><span class="error" style="display: none">Last Name is required.</span></td>
        </tr>
        <tr>
            <td>Phone Number:</td>
            <td><asp:TextBox ID="txtPhoneNumber" runat="server"></asp:TextBox></td>
            <td></td>
        </tr>
         <tr>
            <td>Email Address:</td>
            <td><asp:TextBox ID="txtEmail" runat="server" CssClass = "required"></asp:TextBox></td>
            <td><span class="error" style="display: none">Email Address is required.</span></td>
        </tr>
        <tr>
            <td></td>
            <td><asp:Button ID="btnSubmit" Text="Submit" runat="server" OnClientClick="return Validate();" /></td>
            <td></td>
        </tr>
    </table>
    <script type="text/javascript">
        function Validate() {
            var isValid = true;

            //Reference the Table.
            var tblForm = document.getElementById("tblForm");

            //Reference all INPUT elements in the Table.
            var inputs = document.getElementsByTagName("input");

            //Loop through all INPUT elements.
            for (var i = 0; i < inputs.length; i++) {

                //Check whether the INPUT element is TextBox.
                if (inputs[i].type == "text") {
                    //Check whether its Value is not BLANK and Validation is required.
                    if (Trim(inputs[i].value) == "" && inputs[i].className.indexOf("required") != 1) {
                        //If Validation has FAILED, show error message.
                        isValid = false;
                        ShowHideError(inputs[i], "block");
                    } else {
                        //If Validation is SUCCESS, hide error message.
                        ShowHideError(inputs[i], "none");
                    }
                }
            }
            return isValid;
        };

        function ShowHideError(textbox, display) {
            var row = textbox.parentNode.parentNode;
            var errorMsg = row.getElementsByTagName("span")[0];
            if (errorMsg != null) {
                errorMsg.style.display = display;
            }
        };

        function Trim(value) {
            return value.replace(/^\s+|\s+$/g, '');
        };
    </script>
    </form>
</body>
</html>
